[arch-commits] Commit in harfbuzz/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Antonio Rojas arojas at archlinux.org
Sun Dec 6 07:04:45 UTC 2015


    Date: Sunday, December 6, 2015 @ 08:04:45
  Author: arojas
Revision: 252636

archrelease: copy trunk to staging-x86_64

Added:
  harfbuzz/repos/staging-x86_64/
  harfbuzz/repos/staging-x86_64/PKGBUILD
    (from rev 252635, harfbuzz/trunk/PKGBUILD)

----------+
 PKGBUILD |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

Copied: harfbuzz/repos/staging-x86_64/PKGBUILD (from rev 252635, harfbuzz/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2015-12-06 07:04:45 UTC (rev 252636)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=1.1.2
+pkgrel=2
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('4a2c5790bd3db7c3ca8c02e4858f2fd592df7932c1d2fa9f6b99acbce0f8461f')
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd $pkgbase-$pkgver
+}
+
+build() {
+  cd $pkgbase-$pkgver
+  ./configure --prefix=/usr \
+    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+    --with-gobject
+  make
+}
+
+check() {
+  cd $pkgbase-$pkgver
+  PATH="$srcdir/path:$PATH" make -k check || :
+}
+
+package_harfbuzz() {
+  depends=(glib2 freetype2 graphite)
+  optdepends=('cairo: hb-view program')
+
+  cd $pkgbase-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+  pkgdesc="$pkgdesc (ICU integration)"
+  depends=(harfbuzz icu)
+
+  mv hb-icu/* "$pkgdir"
+
+  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}



More information about the arch-commits mailing list